package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSPublicEvaluationService {
    List list(String tableType, BaseExample.Page pager);

    long queryCount(String tableType);

    <V> ResultState  add(V e, boolean isEdit);

    Object findById(String tableType, Long id);

    ResultState delete(String tableType, Long id);
}
